BizKitHub
DocsAPI ReferenceProject/bff/project/write
postProjectAdmin BFF

/bff/project/write

Create or update a project

ProjectpostBffProjectWrite

Parameters

JSON body

Request body

application/json
idnumberOptional

When set, updates this row; otherwise creates a new project.

namestringRequired
descriptionstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
slugstringOptional
projectKeystringOptional
managerIdnumberOptional
projectOwnerIdnumberOptional
prioritynumberOptional
budgetstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
startDatestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
endDatestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
dueDatestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/project/write

post
curl -X POST "https://api.bizkithub.com/bff/project/write" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": 0,
  "name": "example_name",
  "slug": "example_slug",
  "projectKey": "example_projectKey",
  "managerId": 0,
  "projectOwnerId": 0,
  "priority": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key